Index: /XIOS/trunk/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 431)
+++ /XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 432)
@@ -35,4 +35,12 @@
   }
   
+  bool cxios_is_defined_file_description(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->description.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_enabled(file_Ptr file_hdl, bool enabled)
@@ -49,4 +57,12 @@
   }
   
+  bool cxios_is_defined_file_enabled(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->enabled.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_min_digits(file_Ptr file_hdl, int min_digits)
@@ -63,4 +79,12 @@
   }
   
+  bool cxios_is_defined_file_min_digits(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->min_digits.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_name(file_Ptr file_hdl, const char * name, int name_size)
@@ -82,4 +106,12 @@
   }
   
+  bool cxios_is_defined_file_name(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_name_suffix(file_Ptr file_hdl, const char * name_suffix, int name_suffix_size)
@@ -101,4 +133,12 @@
   }
   
+  bool cxios_is_defined_file_name_suffix(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->name_suffix.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_output_freq(file_Ptr file_hdl, const char * output_freq, int output_freq_size)
@@ -120,4 +160,12 @@
   }
   
+  bool cxios_is_defined_file_output_freq(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->output_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_output_level(file_Ptr file_hdl, int output_level)
@@ -134,4 +182,12 @@
   }
   
+  bool cxios_is_defined_file_output_level(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->output_level.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_par_access(file_Ptr file_hdl, const char * par_access, int par_access_size)
@@ -153,4 +209,12 @@
   }
   
+  bool cxios_is_defined_file_par_access(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->par_access.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_split_freq(file_Ptr file_hdl, const char * split_freq, int split_freq_size)
@@ -172,4 +236,39 @@
   }
   
+  bool cxios_is_defined_file_split_freq(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->split_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
+  
+  void cxios_set_file_split_freq_format(file_Ptr file_hdl, const char * split_freq_format, int split_freq_format_size)
+  {
+    std::string split_freq_format_str;
+    if(!cstr2string(split_freq_format, split_freq_format_size, split_freq_format_str)) return;
+     CTimer::get("XIOS").resume();
+    file_hdl->split_freq_format.setValue(split_freq_format_str);
+    file_hdl->sendAttributToServer(file_hdl->split_freq_format);
+     CTimer::get("XIOS").suspend();
+  }
+  
+  void cxios_get_file_split_freq_format(file_Ptr file_hdl, char * split_freq_format, int split_freq_format_size)
+  {
+     CTimer::get("XIOS").resume();
+    if(!string_copy(file_hdl->split_freq_format.getValue(),split_freq_format , split_freq_format_size))
+      ERROR("void cxios_get_file_split_freq_format(file_Ptr file_hdl, char * split_freq_format, int split_freq_format_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
+  }
+  
+  bool cxios_is_defined_file_split_freq_format(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->split_freq_format.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_sync_freq(file_Ptr file_hdl, const char * sync_freq, int sync_freq_size)
@@ -191,4 +290,12 @@
   }
   
+  bool cxios_is_defined_file_sync_freq(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->sync_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_file_type(file_Ptr file_hdl, const char * type, int type_size)
@@ -210,4 +317,12 @@
   }
   
+  bool cxios_is_defined_file_type(file_Ptr file_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !file_hdl->type.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
Index: /XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 431)
+++ /XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 432)
@@ -35,4 +35,12 @@
   }
   
+  bool cxios_is_defined_filegroup_description(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->description.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_enabled(filegroup_Ptr filegroup_hdl, bool enabled)
@@ -49,4 +57,12 @@
   }
   
+  bool cxios_is_defined_filegroup_enabled(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->enabled.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_group_ref(filegroup_Ptr filegroup_hdl, const char * group_ref, int group_ref_size)
@@ -68,4 +84,12 @@
   }
   
+  bool cxios_is_defined_filegroup_group_ref(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->group_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_min_digits(filegroup_Ptr filegroup_hdl, int min_digits)
@@ -82,4 +106,12 @@
   }
   
+  bool cxios_is_defined_filegroup_min_digits(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->min_digits.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_name(filegroup_Ptr filegroup_hdl, const char * name, int name_size)
@@ -101,4 +133,12 @@
   }
   
+  bool cxios_is_defined_filegroup_name(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_name_suffix(filegroup_Ptr filegroup_hdl, const char * name_suffix, int name_suffix_size)
@@ -120,4 +160,12 @@
   }
   
+  bool cxios_is_defined_filegroup_name_suffix(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->name_suffix.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_output_freq(filegroup_Ptr filegroup_hdl, const char * output_freq, int output_freq_size)
@@ -139,4 +187,12 @@
   }
   
+  bool cxios_is_defined_filegroup_output_freq(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->output_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_output_level(filegroup_Ptr filegroup_hdl, int output_level)
@@ -153,4 +209,12 @@
   }
   
+  bool cxios_is_defined_filegroup_output_level(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->output_level.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_par_access(filegroup_Ptr filegroup_hdl, const char * par_access, int par_access_size)
@@ -172,4 +236,12 @@
   }
   
+  bool cxios_is_defined_filegroup_par_access(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->par_access.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_split_freq(filegroup_Ptr filegroup_hdl, const char * split_freq, int split_freq_size)
@@ -191,4 +263,39 @@
   }
   
+  bool cxios_is_defined_filegroup_split_freq(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->split_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
+  
+  void cxios_set_filegroup_split_freq_format(filegroup_Ptr filegroup_hdl, const char * split_freq_format, int split_freq_format_size)
+  {
+    std::string split_freq_format_str;
+    if(!cstr2string(split_freq_format, split_freq_format_size, split_freq_format_str)) return;
+     CTimer::get("XIOS").resume();
+    filegroup_hdl->split_freq_format.setValue(split_freq_format_str);
+    filegroup_hdl->sendAttributToServer(filegroup_hdl->split_freq_format);
+     CTimer::get("XIOS").suspend();
+  }
+  
+  void cxios_get_filegroup_split_freq_format(filegroup_Ptr filegroup_hdl, char * split_freq_format, int split_freq_format_size)
+  {
+     CTimer::get("XIOS").resume();
+    if(!string_copy(filegroup_hdl->split_freq_format.getValue(),split_freq_format , split_freq_format_size))
+      ERROR("void cxios_get_filegroup_split_freq_format(filegroup_Ptr filegroup_hdl, char * split_freq_format, int split_freq_format_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
+  }
+  
+  bool cxios_is_defined_filegroup_split_freq_format(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->split_freq_format.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_sync_freq(filegroup_Ptr filegroup_hdl, const char * sync_freq, int sync_freq_size)
@@ -210,4 +317,12 @@
   }
   
+  bool cxios_is_defined_filegroup_sync_freq(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->sync_freq.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_filegroup_type(filegroup_Ptr filegroup_hdl, const char * type, int type_size)
@@ -229,4 +344,12 @@
   }
   
+  bool cxios_is_defined_filegroup_type(filegroup_Ptr filegroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !filegroup_hdl->type.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
Index: /XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 431)
+++ /XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 432)
@@ -35,4 +35,12 @@
   }
   
+  bool cxios_is_defined_grid_axis_ref(grid_Ptr grid_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !grid_hdl->axis_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_grid_description(grid_Ptr grid_hdl, const char * description, int description_size)
@@ -53,4 +61,12 @@
      CTimer::get("XIOS").suspend();
   }
+  
+  bool cxios_is_defined_grid_description(grid_Ptr grid_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !grid_hdl->description.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -73,4 +89,12 @@
   }
   
+  bool cxios_is_defined_grid_domain_ref(grid_Ptr grid_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !grid_hdl->domain_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_grid_mask(grid_Ptr grid_hdl, bool* mask, int extent1, int extent2, int extent3)
@@ -90,4 +114,12 @@
      CTimer::get("XIOS").suspend();
   }
+  
+  bool cxios_is_defined_grid_mask(grid_Ptr grid_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !grid_hdl->mask.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -110,4 +142,12 @@
   }
   
+  bool cxios_is_defined_grid_name(grid_Ptr grid_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !grid_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
Index: /XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 431)
+++ /XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 432)
@@ -35,4 +35,12 @@
   }
   
+  bool cxios_is_defined_gridgroup_axis_ref(gridgroup_Ptr gridgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !gridgroup_hdl->axis_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_gridgroup_description(gridgroup_Ptr gridgroup_hdl, const char * description, int description_size)
@@ -53,4 +61,12 @@
      CTimer::get("XIOS").suspend();
   }
+  
+  bool cxios_is_defined_gridgroup_description(gridgroup_Ptr gridgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !gridgroup_hdl->description.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -73,4 +89,12 @@
   }
   
+  bool cxios_is_defined_gridgroup_domain_ref(gridgroup_Ptr gridgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !gridgroup_hdl->domain_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_gridgroup_group_ref(gridgroup_Ptr gridgroup_hdl, const char * group_ref, int group_ref_size)
@@ -92,4 +116,12 @@
   }
   
+  bool cxios_is_defined_gridgroup_group_ref(gridgroup_Ptr gridgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !gridgroup_hdl->group_ref.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   void cxios_set_gridgroup_mask(gridgroup_Ptr gridgroup_hdl, bool* mask, int extent1, int extent2, int extent3)
@@ -109,4 +141,12 @@
      CTimer::get("XIOS").suspend();
   }
+  
+  bool cxios_is_defined_gridgroup_mask(gridgroup_Ptr gridgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !gridgroup_hdl->mask.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
   
   
@@ -129,4 +169,12 @@
   }
   
+  bool cxios_is_defined_gridgroup_name(gridgroup_Ptr gridgroup_hdl )
+  {
+     CTimer::get("XIOS").resume();
+    return !gridgroup_hdl->name.isEmpty();
+     CTimer::get("XIOS").suspend();
+  }
+  
+  
   
   
Index: /XIOS/trunk/src/interface/fortran/ixios.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran/ixios.F90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran/ixios.F90	(revision 432)
@@ -8,5 +8,6 @@
 
 USE icontext_attr, ONLY : xios(set_context_attr), xios(set_context_attr_hdl), &
-                          xios(get_context_attr), xios(get_context_attr_hdl)
+                          xios(get_context_attr), xios(get_context_attr_hdl), &
+                          xios(is_defined_context_attr), xios(is_defined_context_attr_hdl)
                                                
 USE idata, ONLY : xios(initialize),xios(init_server), xios(finalize), xios(context_initialize),  &
@@ -23,8 +24,10 @@
 
 USE idomain_attr, ONLY :  xios(set_domain_attr), xios(set_domain_attr_hdl),  &
-                          xios(get_domain_attr), xios(get_domain_attr_hdl)
+                          xios(get_domain_attr), xios(get_domain_attr_hdl), &
+                          xios(is_defined_domain_attr), xios(is_defined_domain_attr_hdl)
 
 USE idomaingroup_attr, ONLY : xios(set_domaingroup_attr), xios(set_domaingroup_attr_hdl),  & 
-                              xios(get_domaingroup_attr), xios(get_domaingroup_attr_hdl) 
+                              xios(get_domaingroup_attr), xios(get_domaingroup_attr_hdl), & 
+                              xios(is_defined_domaingroup_attr), xios(is_defined_domaingroup_attr_hdl) 
                     
 USE ifield, ONLY : txios(field), txios(fieldgroup), xios(get_field_handle),  &
@@ -33,8 +36,10 @@
 
 USE ifield_attr, ONLY : xios(set_field_attr),xios(set_field_attr_hdl),    &
-                        xios(get_field_attr),xios(get_field_attr_hdl)
+                        xios(get_field_attr),xios(get_field_attr_hdl), &
+                        xios(is_defined_field_attr),xios(is_defined_field_attr_hdl)
   
 USE ifieldgroup_attr, ONLY : xios(set_fieldgroup_attr), xios(set_fieldgroup_attr_hdl),  &
-                             xios(get_fieldgroup_attr), xios(get_fieldgroup_attr_hdl)
+                             xios(get_fieldgroup_attr), xios(get_fieldgroup_attr_hdl), &
+                             xios(is_defined_fieldgroup_attr), xios(is_defined_fieldgroup_attr_hdl)
 
 USE ifile, ONLY : txios(file), txios(filegroup), xios(get_file_handle),    & 
@@ -42,8 +47,10 @@
 
 USE ifile_attr, ONLY : xios(set_file_attr),xios(set_file_attr_hdl), &
-                       xios(get_file_attr),xios(get_file_attr_hdl)
+                       xios(get_file_attr),xios(get_file_attr_hdl), &
+                       xios(is_defined_file_attr),xios(is_defined_file_attr_hdl)
 
 USE ifilegroup_attr, ONLY : xios(set_filegroup_attr), xios(set_filegroup_attr_hdl), &
-                            xios(get_filegroup_attr), xios(get_filegroup_attr_hdl)
+                            xios(get_filegroup_attr), xios(get_filegroup_attr_hdl), &
+                            xios(is_defined_filegroup_attr), xios(is_defined_filegroup_attr_hdl)
                   
 USE igrid, ONLY : txios(grid), txios(gridgroup), xios(get_grid_handle),     &
@@ -51,8 +58,10 @@
 
 USE igrid_attr, ONLY : xios(set_grid_attr_hdl), xios(set_grid_attr), &
-                       xios(get_grid_attr_hdl), xios(get_grid_attr)
+                       xios(get_grid_attr_hdl), xios(get_grid_attr), &
+                       xios(is_defined_grid_attr_hdl), xios(is_defined_grid_attr)
 
 USE igridgroup_attr, ONLY : xios(set_gridgroup_attr), xios(set_gridgroup_attr_hdl),  &
-                            xios(get_gridgroup_attr), xios(get_gridgroup_attr_hdl)
+                            xios(get_gridgroup_attr), xios(get_gridgroup_attr_hdl), &
+                            xios(is_defined_gridgroup_attr), xios(is_defined_gridgroup_attr_hdl)
 
 USE iaxis, ONLY : txios(axis), txios(axisgroup), xios(get_axis_handle),     &
@@ -60,8 +69,10 @@
 
 USE iaxis_attr, ONLY :  xios(set_axis_attr), xios(set_axis_attr_hdl), &
-                        xios(get_axis_attr), xios(get_axis_attr_hdl)
+                        xios(get_axis_attr), xios(get_axis_attr_hdl), &
+                        xios(is_defined_axis_attr), xios(is_defined_axis_attr_hdl)
 
 USE iaxisgroup_attr, ONLY : xios(set_axisgroup_attr), xios(set_axisgroup_attr_hdl), &
-                            xios(get_axisgroup_attr), xios(get_axisgroup_attr_hdl)
+                            xios(get_axisgroup_attr), xios(get_axisgroup_attr_hdl), &
+                            xios(is_defined_axisgroup_attr), xios(is_defined_axisgroup_attr_hdl)
 
 USE ixml_tree, ONLY : xios(add_axis), xios(add_file), xios(add_grid), xios(add_field), xios(add_domain),          &
@@ -86,4 +97,11 @@
                    xios(get_axisgroup_attr_hdl), xios(get_context_attr_hdl)
 END INTERFACE xios(get_attr)
+
+INTERFACE xios(is_defined_attr)
+  MODULE PROCEDURE xios(is_defined_domaingroup_attr_hdl), xios(is_defined_domain_attr_hdl), xios(is_defined_fieldgroup_attr_hdl), &
+                   xios(is_defined_field_attr_hdl), xios(is_defined_file_attr_hdl), xios(is_defined_filegroup_attr_hdl),          &
+                   xios(is_defined_grid_attr_hdl), xios(is_defined_gridgroup_attr_hdl), xios(is_defined_axis_attr_hdl) ,          &
+                   xios(is_defined_axisgroup_attr_hdl), xios(is_defined_context_attr_hdl)
+END INTERFACE xios(is_defined_attr)
 
 INTERFACE xios(get_handle)
@@ -123,4 +141,9 @@
           xios(get_axisgroup_attr), xios(get_context_attr)
 
+PUBLIC :: xios(is_defined_attr), xios(is_defined_domain_attr), xios(is_defined_domaingroup_attr), xios(is_defined_fieldgroup_attr), &
+          xios(is_defined_field_attr), xios(is_defined_file_attr), xios(is_defined_filegroup_attr),          &
+          xios(is_defined_grid_attr), xios(is_defined_gridgroup_attr), xios(is_defined_axis_attr) ,          &
+          xios(is_defined_axisgroup_attr), xios(is_defined_context_attr)
+
  PUBLIC :: xios(get_handle) 
  PUBLIC :: xios(add_child) 
Index: /XIOS/trunk/src/interface/fortran_attr/axis_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/axis_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/axis_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_axis_long_name
     
+    FUNCTION cxios_is_defined_axis_long_name(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_long_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_long_name
+    
     
     SUBROUTINE cxios_set_axis_name(axis_hdl, name, name_size) BIND(C)
@@ -38,4 +44,10 @@
     END SUBROUTINE cxios_get_axis_name
     
+    FUNCTION cxios_is_defined_axis_name(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_name
+    
     
     SUBROUTINE cxios_set_axis_positive(axis_hdl, positive, positive_size) BIND(C)
@@ -53,4 +65,10 @@
     END SUBROUTINE cxios_get_axis_positive
     
+    FUNCTION cxios_is_defined_axis_positive(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_positive
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_positive
+    
     
     SUBROUTINE cxios_set_axis_size(axis_hdl, size) BIND(C)
@@ -65,4 +83,10 @@
       INTEGER (KIND=C_INT)             :: size
     END SUBROUTINE cxios_get_axis_size
+    
+    FUNCTION cxios_is_defined_axis_size(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_size
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_size
     
     
@@ -81,4 +105,10 @@
     END SUBROUTINE cxios_get_axis_standard_name
     
+    FUNCTION cxios_is_defined_axis_standard_name(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_standard_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_standard_name
+    
     
     SUBROUTINE cxios_set_axis_unit(axis_hdl, unit, unit_size) BIND(C)
@@ -95,4 +125,10 @@
       INTEGER  (kind = C_INT)     , VALUE        :: unit_size
     END SUBROUTINE cxios_get_axis_unit
+    
+    FUNCTION cxios_is_defined_axis_unit(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_unit
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_unit
     
     
@@ -111,4 +147,10 @@
     END SUBROUTINE cxios_get_axis_value
     
+    FUNCTION cxios_is_defined_axis_value(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_value
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_value
+    
     
     SUBROUTINE cxios_set_axis_zoom_begin(axis_hdl, zoom_begin) BIND(C)
@@ -124,4 +166,10 @@
     END SUBROUTINE cxios_get_axis_zoom_begin
     
+    FUNCTION cxios_is_defined_axis_zoom_begin(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_zoom_begin
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_zoom_begin
+    
     
     SUBROUTINE cxios_set_axis_zoom_end(axis_hdl, zoom_end) BIND(C)
@@ -137,4 +185,10 @@
     END SUBROUTINE cxios_get_axis_zoom_end
     
+    FUNCTION cxios_is_defined_axis_zoom_end(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_zoom_end
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_zoom_end
+    
     
     SUBROUTINE cxios_set_axis_zoom_size(axis_hdl, zoom_size) BIND(C)
@@ -149,4 +203,10 @@
       INTEGER (KIND=C_INT)             :: zoom_size
     END SUBROUTINE cxios_get_axis_zoom_size
+    
+    FUNCTION cxios_is_defined_axis_zoom_size(axis_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_zoom_size
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_zoom_size
     
     
Index: /XIOS/trunk/src/interface/fortran_attr/axisgroup_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/axisgroup_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/axisgroup_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_axisgroup_group_ref
     
+    FUNCTION cxios_is_defined_axisgroup_group_ref(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_group_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_group_ref
+    
     
     SUBROUTINE cxios_set_axisgroup_long_name(axisgroup_hdl, long_name, long_name_size) BIND(C)
@@ -38,4 +44,10 @@
     END SUBROUTINE cxios_get_axisgroup_long_name
     
+    FUNCTION cxios_is_defined_axisgroup_long_name(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_long_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_long_name
+    
     
     SUBROUTINE cxios_set_axisgroup_name(axisgroup_hdl, name, name_size) BIND(C)
@@ -53,4 +65,10 @@
     END SUBROUTINE cxios_get_axisgroup_name
     
+    FUNCTION cxios_is_defined_axisgroup_name(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_name
+    
     
     SUBROUTINE cxios_set_axisgroup_positive(axisgroup_hdl, positive, positive_size) BIND(C)
@@ -68,4 +86,10 @@
     END SUBROUTINE cxios_get_axisgroup_positive
     
+    FUNCTION cxios_is_defined_axisgroup_positive(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_positive
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_positive
+    
     
     SUBROUTINE cxios_set_axisgroup_size(axisgroup_hdl, size) BIND(C)
@@ -80,4 +104,10 @@
       INTEGER (KIND=C_INT)             :: size
     END SUBROUTINE cxios_get_axisgroup_size
+    
+    FUNCTION cxios_is_defined_axisgroup_size(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_size
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_size
     
     
@@ -96,4 +126,10 @@
     END SUBROUTINE cxios_get_axisgroup_standard_name
     
+    FUNCTION cxios_is_defined_axisgroup_standard_name(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_standard_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_standard_name
+    
     
     SUBROUTINE cxios_set_axisgroup_unit(axisgroup_hdl, unit, unit_size) BIND(C)
@@ -110,4 +146,10 @@
       INTEGER  (kind = C_INT)     , VALUE        :: unit_size
     END SUBROUTINE cxios_get_axisgroup_unit
+    
+    FUNCTION cxios_is_defined_axisgroup_unit(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_unit
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_unit
     
     
@@ -126,4 +168,10 @@
     END SUBROUTINE cxios_get_axisgroup_value
     
+    FUNCTION cxios_is_defined_axisgroup_value(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_value
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_value
+    
     
     SUBROUTINE cxios_set_axisgroup_zoom_begin(axisgroup_hdl, zoom_begin) BIND(C)
@@ -139,4 +187,10 @@
     END SUBROUTINE cxios_get_axisgroup_zoom_begin
     
+    FUNCTION cxios_is_defined_axisgroup_zoom_begin(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_zoom_begin
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_zoom_begin
+    
     
     SUBROUTINE cxios_set_axisgroup_zoom_end(axisgroup_hdl, zoom_end) BIND(C)
@@ -152,4 +206,10 @@
     END SUBROUTINE cxios_get_axisgroup_zoom_end
     
+    FUNCTION cxios_is_defined_axisgroup_zoom_end(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_zoom_end
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_zoom_end
+    
     
     SUBROUTINE cxios_set_axisgroup_zoom_size(axisgroup_hdl, zoom_size) BIND(C)
@@ -164,4 +224,10 @@
       INTEGER (KIND=C_INT)             :: zoom_size
     END SUBROUTINE cxios_get_axisgroup_zoom_size
+    
+    FUNCTION cxios_is_defined_axisgroup_zoom_size(axisgroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axisgroup_zoom_size
+      INTEGER (kind = C_INTPTR_T), VALUE :: axisgroup_hdl
+    END FUNCTION cxios_is_defined_axisgroup_zoom_size
     
     
